Strophe 0.9 XMPP client library

Data Structures | Functions
tls_dummy.c File Reference

TLS dummy implementation. More...

## Data Structures
struct | tls_t

## Functions
void | tls_initialize (void)
void | tls_shutdown (void)
tls_t * | tls_new (xmpp_ctx_t *ctx, sock_t sock)
void | tls_free (tls_t *tls)
int | tls_set_credentials (tls_t *tls, const char *cafilename)
int | tls_start (tls_t *tls)
int | tls_stop (tls_t *tls)
int | tls_error (tls_t *tls)
int | tls_pending (tls_t *tls)
int | tls_read (tls_t *tls, void *const buff, const size_t len)
int | tls_write (tls_t *tls, const void *const buff, const size_t len)
int | tls_clear_pending_write (tls_t *tls)
int | tls_is_recoverable (int error)

## Detailed Description

TLS dummy implementation.

## Function Documentation

## § tls_initialize()

void tls_initialize | ( | void |  | ) |

## § tls_shutdown()

void tls_shutdown | ( | void |  | ) |

## § tls_new()

tls_t* tls_new | ( | xmpp_ctx_t * | ctx,
|  | sock_t | sock
| ) |  |

## § tls_free()

void tls_free | ( | tls_t * | tls | ) |

## § tls_set_credentials()

int tls_set_credentials | ( | tls_t * | tls,
|  | const char * | cafilename
| ) |  |

## § tls_start()

int tls_start | ( | tls_t * | tls | ) |

## § tls_stop()

int tls_stop | ( | tls_t * | tls | ) |

## § tls_error()

int tls_error | ( | tls_t * | tls | ) |

## § tls_pending()

int tls_pending | ( | tls_t * | tls | ) |

## § tls_read()

int tls_read | ( | tls_t * | tls,
|  | void *const | buff,
|  | const size_t | len
| ) |  |

## § tls_write()

int tls_write | ( | tls_t * | tls,
|  | const void *const | buff,
|  | const size_t | len
| ) |  |

## § tls_clear_pending_write()

int tls_clear_pending_write | ( | tls_t * | tls | ) |

## § tls_is_recoverable()

int tls_is_recoverable | ( | int | error | ) |